## Langextinfo

### Definition

Langextinfo is an initialization file from VMAKE. It assigns file extensions to a programming language. Each programming language is represented by a letter (see below).

### Use

If VMAKE finds a Langextinfo file, then the information contained in the file overrides the system default of VMAKE for the assignment of programming languages.

To override the system default, create a file with the name Langextinfo in the desc directory.

#### Syntax

<langextinfo_line> = <comment_line> | (<lang_id><lang_descr><token_sep><token>{<token_sep>,<token_sep><token>}<new_line>)

Use the # character as a comment character.

Parameters

Name | Description
<lang_id> | Letter that identifies the language
<lang_descr> | Description of the language; must not contain <token_sep>
<token> | File extension

If you make assignments between new letters, programs and file extensions, you also have to maintain the Langinfo file.

System Default Value

Assigned letter (program) | File extension(s)
x(C++) | cpp, hpp
c(C) | c, h
t(PASCAL) | t
a(Assembler) | s
r(Resources) | rc, ico, def, mc, dlg, idl, ycc, lex, rgs

### Example

w(WinResources) rc